open Ast

exception Unimplemented

let rec interpret table formula = raise Unimplemented
let rec denote_formula formula  = raise Unimplemented
let rec denote_table table      = raise Unimplemented

(*Do not change anything below here*)

(* expect one command-line argument, a file to parse *)
(* you do not need to understand this interaction with the system *)
let parse_file () =
  let argv = Sys.argv in
  let _ = 
    if Array.length argv != 2
    then (prerr_string ("usage: " ^ argv.(0) ^ " [file-to-parse]\n");
	  exit 1) in
  let ch = open_in argv.(1) in
  Parse.program Lex.lexer (Lexing.from_channel ch)

let _ =
  let (table,formula) = parse_file() in
  let ans1 = match interpret table formula with True -> true | False -> false in
  let ans2 = (denote_formula formula) (denote_table table) in
  print_string ("\ninterpreted answer = " ^ if ans1 then "true" else "false");
  print_string ("\ntranslated answer = "  ^ if ans2 then "true" else "false");
  print_newline ()
